Feeef Cloud
ApiGeo

List states (wilayas) for a country

GET
/geo/states
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Query Parameters

country?string
Length2 <= length <= 2
Default"DZ"
lang?string
Default"fr"

Value in

  • "ar"
  • "fr"
  • "en"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/geo/states"
{  "data": [    {      "code": "st",      "country": "st",      "name": "string",      "displayName": "string",      "locales": {        "ar": "string",        "fr": "string",        "en": "string"      },      "center": {        "lat": 0,        "lng": 0      },      "extentKm": {        "width": 0,        "height": 0      },      "bbox": [        0,        0,        0,        0      ],      "h3": "string"    }  ],  "meta": {    "attribution": "© OpenStreetMap contributors (ODbL)"  }}